POSTGet Total Transaction Count By Account

Data APIhttps://web3.nodit.io/v1/ethereum/mainnet/blockchain/getTotalTransactionCountByAccount

This API returns the total count of transactions in which a specific account address is included as the sender or recipient.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

Request Body
accountAddressstringrequired

Parameter specifying the account address to query. Can be entered as a 40-character hexadecimal string starting with 0x.

Responses
transactionCountinteger

Indicates the total count of transactions in which the account participated as sender or recipient. For XRPL and Aptos, it indicates the total count of transactions created by the specific account.

X-API-KEY
RequestCU150
cURL
curl -X POST "https://web3.nodit.io/v1/ethereum/mainnet/blockchain/getTotalTransactionCountByAccount" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "accountAddress": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
}'
Response
Example · 200
{
  "transactionCount": 8124
}